From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
Date: Tue, 8 Sep 2020 17:15:06 +0200
Subject: drm/bridge: cadence: Be more verbose on DP events

---
 drivers/gpu/drm/bridge/cadence/cdns-dp-core.c | 5 +++--
 drivers/gpu/drm/bridge/cadence/cdns-mhdp-dp.c | 3 +++
 2 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/drivers/gpu/drm/bridge/cadence/cdns-dp-core.c b/drivers/gpu/drm/bridge/cadence/cdns-dp-core.c
index de9e0b9..f2c0822 100644
--- a/drivers/gpu/drm/bridge/cadence/cdns-dp-core.c
+++ b/drivers/gpu/drm/bridge/cadence/cdns-dp-core.c
@@ -173,9 +173,10 @@ cdns_dp_connector_detect(struct drm_connector *connector, bool force)
 {
 	struct cdns_mhdp_device *mhdp = container_of(connector,
 					struct cdns_mhdp_device, connector.base);
-	u8 hpd = 0xf;
+	u8 hpd;
 
 	hpd = cdns_mhdp_read_hpd(mhdp);
+	DRM_INFO("Connector status: %d", hpd);
 	if (hpd == 1)
 		/* Cable Connected */
 		return connector_status_connected;
@@ -364,7 +365,7 @@ static irqreturn_t cdns_dp_irq_thread(int irq, void *data)
 	struct cdns_mhdp_device *mhdp = data;
 
 	disable_irq_nosync(irq);
-
+	DRM_INFO("hpd irq");
 	mod_delayed_work(system_wq, &mhdp->hotplug_work,
 			msecs_to_jiffies(HOTPLUG_DEBOUNCE_MS));
 
diff --git a/drivers/gpu/drm/bridge/cadence/cdns-mhdp-dp.c b/drivers/gpu/drm/bridge/cadence/cdns-mhdp-dp.c
index 8fea072..d085bac 100644
--- a/drivers/gpu/drm/bridge/cadence/cdns-mhdp-dp.c
+++ b/drivers/gpu/drm/bridge/cadence/cdns-mhdp-dp.c
@@ -80,6 +80,7 @@ static int cdns_mhdp_training_start(struct cdns_mhdp_device *mhdp)
 	u8 msg, event[2];
 	int ret;
 
+	DRM_DEV_INFO(mhdp->dev, "Staring link training");
 	msg = LINK_TRAINING_RUN;
 
 	/* start training */
@@ -189,6 +190,8 @@ int cdns_mhdp_set_host_cap(struct cdns_mhdp_device *mhdp)
 	msg[6] = mhdp->lane_mapping;
 	msg[7] = ENHANCED;
 
+	DRM_DEV_INFO(mhdp->dev, "Using %d lanes\n", mhdp->dp.num_lanes);
+
 	ret = cdns_mhdp_mailbox_send(mhdp, MB_MODULE_ID_DP_TX,
 				     DPTX_SET_HOST_CAPABILITIES,
 				     sizeof(msg), msg);
